Novell Home

CVE-2014-2891

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-2891 at MITRE

Description

strongSwan before 5.1.2 allows remote attackers to cause a denial of service (NULL pointer dereference and IKE daemon crash) via a crafted ID_DER_ASN1_DN ID payload.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

Novell/SUSE information

Novell Bugzilla entry: 876449

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SLE 11 SP3 DEBUGINFO
  • strongswan-debuginfo >= 4.4.0-6.25.1
  • strongswan-debugsource >= 4.4.0-6.25.1
Builds
SAT Patch Nr: 9251
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • strongswan >= 4.4.0-6.25.1
  • strongswan-doc >= 4.4.0-6.25.1
Builds
SAT Patch Nr: 9251
SUSE Linux Enterprise Server 11 SP1
  • strongswan-debuginfo >= 4.4.0-6.25.1
Builds
SAT Patch Nr: 9250

© 2014 Novell